Subject: Re: Tc bug (kernel crash) more info

From: Badalian Vyacheslav <[email-masked]>
Date: Thu, 30 Aug 2007 13:09:11 +0400

Jarek Poplawski пишет:
> On Thu, Aug 30, 2007 at 08:31:10AM +0200, Jarek Poplawski wrote:
>   
>> On Thu, Aug 30, 2007 at 12:16:32AM +0400, [email-masked] wrote:
>>     
> ...
>   
>>> PS. And also have we have strange bug in another computer (2.6.22-r5).
>>> Have computer XEON_CPUx2 (4 CPU)
>>>
>>> after boot have CPU0 and CPU3 SI = ~50%
>>> after some time CPU0 SI = 0% and ksoftirqd/2 process have 100% cpu usage!
>>> nat-new ~ # cat /proc/interrupts
>>>            CPU0       CPU1       CPU2       CPU3
>>>   0:        403          0          0          0   IO-APIC-edge      timer
>>>       
>> ...
>>     
>>> LOC:   89312505   89314019   89310139   89313972
>>> ERR:          0
>>> MIS:          0
>>>
>>> changes only LOC interrupts!
>>>
>>> Maybe its info intresting for you. =)
>>>       
>> Yes. It seems something loops or breaks with disabled interrupts. If
>>     
>
> On the other hand disabling local interrupts shouldn't be enough here,
> so it's really strange... Did you get this remotely? Are you sure LOC
> only? (Anyway this 2.6.23-rc4 should be interesting.)
>
> Jarek P.
>
>   
Only LOC changes... icmp answer = 50-70ms... after 1-2 hours traffic 
level is down and SI on CPU0 and CPU2 change to above 50%. ksoftirqd 
free CPU usage. I have this bug 3-4 times in week. If you need info what 
i can see only in bug still processing - i may try get this info for you.

maybe help:

1U server INTEL, mb se7501w2

nat-new ~ # lspci
00:00.0 Host bridge: Intel Corporation E7501 Memory Controller Hub (rev 01)
00:00.1 Class ff00: Intel Corporation E7500/E7501 Host RASUM Controller 
(rev 01)
00:03.0 PCI bridge: Intel Corporation E7500/E7501 Hub Interface C 
PCI-to-PCI Bridge (rev 01)
00:03.1 Class ff00: Intel Corporation E7500/E7501 Hub Interface C RASUM 
Controller (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801CA/CAM USB Controller #1 
(rev 02)
00:1d.1 USB Controller: Intel Corporation 82801CA/CAM USB Controller #2 
(rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 42)
00:1f.0 ISA bridge: Intel Corporation 82801CA LPC Interface Controller 
(rev 02)
00:1f.1 IDE interface: Intel Corporation 82801CA Ultra ATA Storage 
Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801CA/CAM SMBus Controller (rev 02)
01:0c.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
02:1c.0 PIC: Intel Corporation 82870P2 P64H2 I/OxAPIC (rev 04)
02:1d.0 PCI bridge: Intel Corporation 82870P2 P64H2 Hub PCI Bridge (rev 04)
02:1e.0 PIC: Intel Corporation 82870P2 P64H2 I/OxAPIC (rev 04)
02:1f.0 PCI bridge: Intel Corporation 82870P2 P64H2 Hub PCI Bridge (rev 04)
03:07.0 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet 
Controller (Copper) (rev 01)
03:07.1 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet 
Controller (Copper) (rev 01)
04:08.0 RAID bus controller: Intel Corporation RAID Controller